Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class PortletInstance

    java.lang.Object
      |
      +--com.bea.netuix.application.instance.PortletInstance

All Implemented Interfaces:
  PlaceableInstance, Serializable

public class PortletInstance
extends Object
implements Serializable, PlaceableInstance

See Also:
  Serialized Form

Field Summary
`protected LocalizationResource` | `localizationResource`

Constructor Summary
`PortletInstance(LocalizationResource localizationResource, ThemeDefinitionId themeDefinitionId, short titlebarOrientation, boolean defaultMinimized, String instanceLabel)`

Method Summary
`String` | `getDescription()`
`String` | `getInstanceLabel()`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()`
`LocalizationResource` | `getLocalizationResource()`
`PlaceableDefinition` | `getPlaceableDefinition()`
`PlaceableInstanceId` | `getPlaceableInstanceId()`
`PlacementId` | `getPlacementId()`
`PortletDefinition` | `getPortletDefinition()`
`PortletDefinitionId` | `getPortletDefinitionId()`
`PortletInstanceId` | `getPortletInstanceId()`
`ThemeDefinitionId` | `getThemeDefinitionId()`
`String` | `getTitle()`
`short` | `getTitlebarOrientation()`
`boolean` | `isDefaultMinimized()`
`void` | `setDefaultMinimized(boolean defaultMinimized)`
`void` | `setDescription(String description)` Update the description for the current locale.
`void` | `setInstanceLabel(String instanceLabel)`
`void` | `setLocalizationResource(LocalizationResource localizationResource)`
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)`
`void` | `setTitle(String title)` Update the title for the current locale.
`void` | `setTitlebarOrientation(short titlebarOrientation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localizationResource

    protected LocalizationResource localizationResource

Constructor Detail

### PortletInstance

    public PortletInstance(LocalizationResource localizationResource,
                           ThemeDefinitionId themeDefinitionId,
                           short titlebarOrientation,
                           boolean defaultMinimized,
                           String instanceLabel)

Method Detail

### getPortletInstanceId

    public PortletInstanceId getPortletInstanceId()

### getPortletDefinition

    public PortletDefinition getPortletDefinition()

### getPortletDefinitionId

    public PortletDefinitionId getPortletDefinitionId()

### getPlacementId

    public PlacementId getPlacementId()

  Specified by:
    `getPlacementId` in interface `PlaceableInstance`

### getPlaceableInstanceId

    public PlaceableInstanceId getPlaceableInstanceId()

  Specified by:
    `getPlaceableInstanceId` in interface `PlaceableInstance`

### getPlaceableDefinition

    public PlaceableDefinition getPlaceableDefinition()

  Specified by:
    `getPlaceableDefinition` in interface `PlaceableInstance`

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

### getTitle

    public String getTitle()

### getDescription

    public String getDescription()

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

### getInstanceLabel

    public String getInstanceLabel()

### setInstanceLabel

    public void setInstanceLabel(String instanceLabel)

### getTitlebarOrientation

    public short getTitlebarOrientation()

### setTitlebarOrientation

    public void setTitlebarOrientation(short titlebarOrientation)

### isDefaultMinimized

    public boolean isDefaultMinimized()

### setDefaultMinimized

    public void setDefaultMinimized(boolean defaultMinimized)

### setTitle

    public void setTitle(String title)

  Update the title for the current locale.

  Parameters:
    `title` -

### setDescription

    public void setDescription(String description)

  Update the description for the current locale.

  Parameters:
    `description` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved